<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('doctors', function (Blueprint $table) {
            $table->id();
            $table->string('speciality_id');
            $table->string('sub_speciality_id');
            $table->string('treatment_id');
            $table->string('name');
            $table->string('gender');
            $table->string('email');
            $table->string('password');
            $table->string('designtion');
            $table->string('department');
            $table->string('country');
            $table->string('city');
            $table->string('address');
            $table->string('experience');
            $table->string('img');
            $table->string('hospital_id');
            $table->string('pdf_profile');
            $table->text('profile');
            $table->LongText('qualification');
            $table->LongText('awards');
            $table->LongText('membership');
            $table->LongText('research_publication');
            $table->LongText('specialization');
            $table->LongText('opd_time');
            $table->enum('status', ['1', '0']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('doctors');
    }
};
